services:
  bore-tunnel:
    restart: unless-stopped
    build: 
      context: .
      dockerfile: ./Dockerfile
    environment:
      - 'BORE_SECRET=${BORE_SECRET}'
    ports:
      - '6022:6022'
      - '7835:7835'
    healthcheck:
      test: ["CMD", "nc", "-z", "127.0.0.1", "7835"]
      interval: 1s
      timeout: 10s
      retries: 15
    labels:
      - traefik.enable=true
      - traefik.http.middlewares.gzip.compress=true
      - traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https
      - traefik.http.routers.http-bore-ikea.entryPoints=http
      - traefik.http.routers.http-bore-ikea.middlewares=gzip
      - 'traefik.http.routers.http-bore-ikea.rule=HostRegexp(`^(?:.+-)?ikea\.jdf2\.org$`) && PathPrefix(`/`)'
      - traefik.http.routers.http-bore-ikea.service=http-bore-ikea
      - traefik.http.services.http-bore-ikea.loadbalancer.server.port=6080